# Akamai\Open\EdgeGrid\Cli

####

## Synopsis

class Cli {

- // members
- protected CLImate $climate;

- // methods
- public void __construct()
- public void run()
- protected void parseArguments()
- protected void executeCommand()
- public void help()
- public void version()
- protected array getNamedArgs()
- protected void getArgValue()

}

## Coverage

Methods | 0% | 0 / 8
Lines | 0% | 0 / 132

## Members

#### protected

- $climate — \League\CLImate\CLImate

## Methods

#### protected

- executeCommand()
- getArgValue()
- getNamedArgs()
- parseArguments()

#### public

- __construct()
- help()
- run()
- version()